LINUX.ORG.RU

[arch-problem]удалить месу


0

1

Установил я какое-то время назад месу из гита, а сейчас решил поставить обратно из extra и словил проблему...

[alexv@myhost ~]$ pacman -S mesa
разрешение зависимостей...
проверка на взаимную несовместимость...
:: mesa и mesa-r600g-git конфликтуют. Удалить mesa-r600g-git? [y/N] y
ошибка: не удалось подготовить запрос (не удалось удовлетворить зависимости)
:: mesa: требует libgl
:: allegro: требует libgl
:: dosbox: требует libgl
:: freedroidrpg: требует libgl
:: irrlicht: требует libgl
:: kdebase-workspace: требует libegl
:: lib32-libgl: требует libgl
:: lib32-libglapi: требует libglapi
:: libgles: требует libglapi
:: libgles: требует khrplatform-devel
:: libreoffice-common: требует libgl
:: libva-freeworld: требует libgl
:: lincity-ng: требует libgl
:: megaglest: требует libgl
:: minetest-git: требует libgl
:: mplayer2: требует libgl
:: qt: требует libgl
:: supertux: требует libgl
:: supertuxkart: требует libgl
:: tuxracer: требует libgl
:: wxgtk: требует libgl
:: xf86-video-ati-git: требует ati-dri
:: xorg-xdriinfo: требует libgl
[alexv@myhost ~]$

Гит версию месы мне не удалить по причине выше. Версию из extra не поставить по причине конфликта с гитовой. Замкнутый круг какой-то.

pacman -Rc mesa-r600g-git Хочет снести почти всю систему.

Вопрос можно ли как-нибудь снести один пакет забив на то что куча зависимых останется?( я же установлю сразу обратно ее другой версии). Может корявыми грязными руками где нибудь ампутировать ее можно в обход пакетного менеджера?

★★★★★

Ответ на: комментарий от kitar

Спасибо! Знал же что как-то можно. Не прочитал до конца ман по этой опции(Specify this option twice to skip all dependency checks.) и запускал pacman -Rd

Loki13 ★★★★★ ()

мне одному название темы показалось двусмысленным и в голову пришел образ кровавой мессы, а потом уже та самая, богоугодная mesa?

// не сплю уже очень давно

IvS ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.